%define	orgname	psimedia
Summary:	Audio and Video plugin for PSI
Name:		psi-plugin-psimedia
Version:	1.0.3
Release:	5
License:	LGPL v2.1+
Group:		Applications/Communications
Source0:	http://delta.affinix.com/download/psimedia/psimedia-%{version}.tar.bz2
# Source0-md5:	1be71c37d71c655ffc2c53cf86c77a7a
Patch0:		%{orgname}-2.6.38.patch
Patch1:		%{orgname}-drop-v4l.patch
Patch2:		glib2.patch
URL:		http://delta.affinix.com/psimedia/
BuildRequires:	QtCore-devel >= 4.5.0
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	glib2-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	liboil-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-qmake
BuildRequires:	qt4-build
BuildRequires:	speex-devel
BuildRequires:	which
Requires:	gstreamer-audio-effects-base
Requires:	gstreamer-audio-effects-good
Requires:	gstreamer-audiosink-alsa
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good
Requires:	gstreamer-speex
Requires:	gstreamer-theora
Requires:	gstreamer-video-effects
Requires:	gstreamer-vorbis
Requires:	psi >= 0.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PsiMedia is a thick abstraction layer for providing audio and video
RTP services to Psi-like IM clients.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/psi/plugins

install gstprovider/libgstprovider.so $RPM_BUILD_ROOT%{_libdir}/psi/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO
%attr(755,root,root) %{_libdir}/psi/plugins/*.so
%changelog
* Fri Dec 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psi-plugin-psimedia.git;a=log;h=master

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> f1ce355
- fix build with glib2 2.28+
- rel 5

* Fri Jul 22 2011 Bartłomiej Zimoń <cactus@pld-linux.org> df1477e
- add 2.6.38 and v4l patches
- rel 4

* Mon Nov 16 2009 zbyniu <zbyniu@pld-linux.org> c85a335
- missing BRs

* Tue Aug 18 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 15a0a44
- rel 3; R: gstreamer-vorbis

* Mon Aug 17 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 5226a1e
- rel 2.

* Mon Aug 17 2009 Bartłomiej Zimoń <cactus@pld-linux.org> c2d1e52
- R: gstreamer-theora

* Mon Aug 17 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1681b9f
- and more deps

* Mon Aug 17 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ca1de8d
- more deps

* Mon Aug 17 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f1a711
- md5 fix

* Mon Aug 17 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9052633
- initial

